Bug 468259 - external monitors do not work over DVI on Lenovo Thinkpad T500
external monitors do not work over DVI on Lenovo Thinkpad T500
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-10-23 15:19 EDT by Cameron Meadors
Modified: 2008-11-23 19:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
On dual-GPU laptops, if one of the graphics chips is Intel-based, the Intel graphics mode cannot drive any external digital connections (including HDMI, DVI, and DisplayPort). This is a hardware limitation of the Intel GPU. If you require external digital connections, configure the system to use the discrete graphics chip (in the BIOS).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 13:43:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log with two different monitors being plugged in (59.17 KB, text/plain)
2008-10-23 15:26 EDT, Cameron Meadors
no flags Details

  None (edit)
Description Cameron Meadors 2008-10-23 15:19:06 EDT
I have RHEL-Client-20081020.1 x86_64 install on a Thinkpad T500.  It is the Cantiga platform (GM45 graphics).  External monitors do not work over DVI.  The DVI port is on the dock.  I have tried single and dual link monitors.  VGA works fine with or without the dock.  This laptop has the hybrid graphics but I have the integrated graphics enabled via the bios.
Comment 1 Cameron Meadors 2008-10-23 15:26:57 EDT
Created attachment 321333 [details]
X log with two different monitors being plugged in
Comment 5 Adam Jackson 2008-11-10 14:32:44 EST
Devel ack, at least needs investigation.
Comment 6 Adam Jackson 2008-11-10 17:23:28 EST
Yeah, that just ain't gonna work.

On dual-GPU laptops, the digital output routes (DVI, HDMI, and DisplayPort) are only ever physically routed to the discrete graphics chip (ATI or nVidia).  The Intel graphics chip will only ever be able to do LVDS and VGA.  This is by (astonishingly brain-damaged) design, and ain't ever gonna be fixed, at least not for Intel G40-series.

Recommended release note text:

---

On dual-GPU laptops where one of the graphics chips is Intel-based, the Intel graphics mode is not able to drive any external digital connections, including HDMI, DVI, and DisplayPort.  This is a hardware limitation of the Intel GPU.  If external digital connections are required, the machine must be configured in the BIOS to use the discrete graphics chip.

---
Comment 8 Don Domingo 2008-11-23 19:33:49 EST
this bug is now documented in the RHEL5.3 release notes. to view the latest build of this document, refer to the following link:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/

the RHEL5.3 release notes are rebuilt every 24 hours. please check again later if your bug does not appear after then.
Comment 9 Don Domingo 2008-11-23 19:33:49 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
On dual-GPU laptops, if one of the graphics chips is Intel-based, the Intel graphics mode cannot drive any external digital connections (including HDMI, DVI, and DisplayPort). This is a hardware limitation of the Intel GPU. If you require external digital connections, configure the system to use the discrete graphics chip (in the BIOS).

Note You need to log in before you can comment on or make changes to this bug.